# Automatic `sh-elf-binutils` installer

This script can be used to automatically compile and install an SH3/SH4 binutils suite. The normal use is with GiteaPC:

```
% giteapc install Lephenixnoir/sh-elf-binutils
```

You can also install binutils manually by running the GiteaPC Makefile with a manually-specified install prefix:

```
% make -f giteapc.make configure build install PREFIX=$HOME/.local
```

An `any` configuration is provided in case you already have binutils installed somewhere and want to keep using it. This will turn this repository into a no-op while still satisfying requirements for other repositories. You can do this as long as you have `sh-elf-as` in your PATH:

```
% giteapc install Lephenixnoir/sh-elf-binutils:any
```
